Name:           ladspa-blop-plugins
Version:        0.2.8
Release:        9%{?dist}
Summary:        Bandlimited LADSPA Oscillator Plugins
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://blop.sourceforge.net/
Source:         http://downloads.sourceforge.net/blop/blop-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ladspa-devel
Requires:       ladspa
Obsoletes:      blop <= 0.2.8-1
Provides:       blop = %{version}-%{release}

%description
BLOP comprises a set of LADSPA plugins that generate bandlimited
sawtooth, square, variable pulse and slope-variable triangle waves,
for use in LADSPA hosts, principally for use with one of the many
modular software synthesisers available.

They are wavetable based, and are designed to produce output with
harmonic content as high as possible over a wide pitch range.


%prep
%setup -q -n blop-%{version}
chmod -x src/lp4pole_filter.c src/include/lp4pole_filter.h


%build
%configure
# note, we must pass CFLAGS as for some reason they do not get propagated
# by configure
%{__make} %{?_smp_mflags} ladspa_plugin_dir="%{_libdir}/ladspa" \
  CFLAGS="$RPM_OPT_FLAGS -ffast-math -D_GNU_SOURCE -DNO_DEBUG -DPIC -fPIC"


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__mkdir} -p %{buildroot}%{_datadir}/ladspa/rdf
%{__make} DESTDIR="%{buildroot}" \
          ladspa_plugin_dir="%{_libdir}/ladspa" install
%find_lang blop

# install the rdf description
%{__install} -p -m 644 doc/blop.rdf %{buildroot}%{_datadir}/ladspa/rdf


%clean
%{__rm} -rf %{buildroot}


%files -f blop.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO doc/*.txt
%{_libdir}/ladspa/*.so
%{_libdir}/ladspa/blop_files
%{_datadir}/ladspa/rdf/*.rdf


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.8-7
- Fix missing prototype compiler warnings

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.8-6
- Autorebuild for GCC 4.3

* Thu Sep 20 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.8-5
- Preserve timestamp when install rdf file

* Tue Sep 18 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.8-4
- Make compile honor RPM_OPT_FLAGS

* Sun Sep 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.8-3
- Various specfile improvements to match the Fedora Packaging Guidelines
- Submit for review for Fedora inclusion

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.8-2
- spec file tweaks, add %%{?dist} to release

* Sun Dec 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup
- do not include ladspa directory in file list

* Mon Jun 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.8-1
- updated to 0.2.8, fixed file list and added translations

* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Wed Feb 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-2
- changed name of ladspa package, do not depend on it explicitly

* Fri Nov  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-1
- added release tags

* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-1
- updated to 0.2.7

* Fri Feb 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.6
- initial build
